Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class StyleSheet.BoxPainter

    java.lang.Object
      |
      +--javax.swing.text.html.StyleSheet.BoxPainter

All Implemented Interfaces:
  Serializable

Enclosing class:
  StyleSheet

public static class StyleSheet.BoxPainter
extends Object
implements Serializable

Class to carry out some of the duties of CSS formatting. Implementations of this class enable views to present the CSS formatting while not knowing anything about how the CSS values are being cached.

As a delegate of Views, this object is responsible for the insets of a View and making sure the background is maintained according to the CSS attributes.

Method Summary
`float` | `getInset(int side, View v)` Fetches the inset needed on a given side to account for the margin, border, and padding.
`void` | `paint(Graphics g, float x, float y, float w, float h, View v)` Paints the CSS box according to the attributes given.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInset

    public float getInset(int side,
                          View v)

  Fetches the inset needed on a given side to account for the margin, border, and padding.

  Parameters:
    `side` - The size of the box to fetch the inset for. This can be View.TOP, View.LEFT, View.BOTTOM, or View.RIGHT.
    `v` - the view making the request. This is used to get the AttributeSet, and may be used to resolve percentage arguments.
  Throws:
    `IllegalArgumentException` - for an invalid direction

### paint

    public void paint(Graphics g,
                      float x,
                      float y,
                      float w,
                      float h,
                      View v)

  Paints the CSS box according to the attributes given. This should paint the border, padding, and background.

  Parameters:
    `g` - the rendering surface.
    `x` - the x coordinate of the allocated area to render into.
    `y` - the y coordinate of the allocated area to render into.
    `w` - the width of the allocated area to render into.
    `h` - the height of the allocated area to render into.
    `v` - the view making the request. This is used to get the AttributeSet, and may be used to resolve percentage arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.